#! /usr/bin/env python
# -*- coding: utf-8 -*-
#
# Authors:
# Benoît Allard <benoit.allard@greenbone.net>
#
# Copyright:
# Copyright (C) 2014 Greenbone Networks GmbH
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.

import os

from setuptools import setup

from farol import __version__

here = os.path.dirname(os.path.abspath(__file__))

with open(os.path.join(here, 'README.txt'), 'rt') as f:
    long_description = f.read()

setup(
    name="farol",
    version=__version__,
    description="A Security Advisory Management Web Platform",
    long_description=long_description,
    author="Benoît Allard",
    author_email='benoit.allard@greenbone.net',
    license='GPLv2+',
    packages=['farol'],
    scripts=['run_web'],
    install_requires=['farolluz >= 0.1.1', 'Flask'],
    test_suite='tests',
    # Also install the templates and the static dir
    include_package_data=True,
)
